- add_page_specific_style 'page_bundles/profile'
- page_title _('Account')
- @force_desktop_expanded_sidebar = true

- if current_user.ldap_user?
  = render Pajamas::AlertComponent.new(alert_options: { class: 'gl-my-5' },
    dismissible: false) do |c|
    - c.with_body do
      = s_('Profiles|Some options are unavailable for LDAP accounts')

- if params[:two_factor_auth_enabled_successfully]
  = render Pajamas::AlertComponent.new(variant: :success,
    alert_options: { class: 'gl-my-5' },
    close_button_options: { class: 'js-close-2fa-enabled-success-alert' }) do |c|
    - c.with_body do
      = html_escape(_('You have set up 2FA for your account! If you lose access to your 2FA device, you can use your recovery codes to access your account. Alternatively, if you upload an SSH key, you can %{anchorOpen}use that key to generate additional recovery codes%{anchorClose}.')) % { anchorOpen: '<a href="%{href}">'.html_safe % { href: help_page_path('user/profile/account/two_factor_authentication', anchor: 'generate-new-recovery-codes-using-ssh') }, anchorClose: '</a>'.html_safe }

.settings-section.js-search-settings-section
  .settings-sticky-header
    .settings-sticky-header-inner
      %h4.gl-my-0
        = s_('Profiles|Two-factor authentication')
  %p.gl-text-secondary
    = s_("Profiles|Increase your account's security by enabling two-factor authentication (2FA).")
  %div
    %p
      %span.gl-font-weight-bold
        #{_('Status')}:
      #{current_user.two_factor_enabled? ? _('Enabled') : _('Disabled')}
    - if current_user.two_factor_enabled?
      = render Pajamas::ButtonComponent.new(variant: :confirm, href: profile_two_factor_auth_path) do
        = _('Manage two-factor authentication')
    - else
      = render Pajamas::ButtonComponent.new(variant: :confirm, href: profile_two_factor_auth_path, button_options: { data: { testid: 'enable-2fa-button' }}) do
        = _('Enable two-factor authentication')

- if current_user.can_change_username?
  .settings-section.js-search-settings-section
    .settings-sticky-header
      .settings-sticky-header-inner
        %h4.gl-my-0.warning-title
          = s_('Profiles|Change username')
    %p.gl-text-secondary
      = s_('Profiles|Changing your username can have unintended side effects.')
      = succeed '.' do
        = link_to _('Learn more'), help_page_path('user/profile/index', anchor: 'change-your-username'), target: '_blank', rel: 'noopener noreferrer'
    - data = { initial_username: current_user.username, root_url: root_url, action_url: update_username_profile_path(format: :json) }
    #update-username{ data: data }

- if prevent_delete_account?
  .settings-section.js-search-settings-section
    .settings-sticky-header
      .settings-sticky-header-inner
        %h4.gl-my-0.danger-title
          = s_('Profiles|Delete account')
    %p.gl-text-secondary
      = s_('Profiles|Account deletion is not allowed by your administrator.')
- else
  .settings-section.js-search-settings-section
    .settings-sticky-header
      .settings-sticky-header-inner
        %h4.gl-mt-0.danger-title
          = s_('Profiles|Delete account')
    - if current_user.can_be_removed? && can?(current_user, :destroy_user, current_user)
      %p.gl-text-secondary
        = s_('Profiles|Deleting an account has the following effects:')
      = render 'users/deletion_guidance', user: current_user

      -# Delete button here
      = render Pajamas::ButtonComponent.new(variant: :danger, button_options: { id: 'delete-account-button', disabled: true, data: { testid: 'delete-account-button' }}) do
        = s_('Profiles|Delete account')

      #delete-account-modal{ data: { action_url: user_registration_path,
        confirm_with_password: ('true' if current_user.confirm_deletion_with_password?),
        username: current_user.username } }
    - else
      - if current_user.solo_owned_groups.present?
        %p
          = s_('Profiles|Your account is currently an owner in these groups:')
          %ul
            - current_user.solo_owned_groups.each do |group|
              %li= group.name
        %p
          = s_('Profiles|You must transfer ownership or delete these groups before you can delete your account.')
      - elsif !current_user.can_remove_self?
        %p
          = s_('Profiles|GitLab is unable to verify your identity automatically. For security purposes, you must set a password by %{openingTag}resetting your password%{closingTag} to delete your account.').html_safe % { openingTag: "<a href='#{reset_user_settings_password_path}' rel=\"nofollow\" data-method=\"put\">".html_safe, closingTag: '</a>'.html_safe}
        %p
          = s_('Profiles|If after setting a password, the option to delete your account is still not available, please %{link_start}submit a request%{link_end} to begin the account deletion process.').html_safe % { link_start: '<a href="https://support.gitlab.io/account-deletion/" rel="nofollow noreferrer noopener" target="_blank">'.html_safe, link_end: '</a>'.html_safe}
      - else
        %p
          = s_("Profiles|You don't have access to delete this user.")
